Bug 239903 - pump seg faults and ping is missing libidn
Summary: pump seg faults and ping is missing libidn
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-12 07:44 UTC by Lee Trager
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 19:07:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lee Trager 2007-05-12 07:44:13 UTC
Description of problem:
System hangs when trying to get an IP through the installer. If booted into the
Rescue disc pump -i eth0 causes a seg fault. Trying to run ping also fails with
a missing library  libidn.so.11 error.

Version-Release number of selected component (if applicable):
Fedora 7 Test 4

How reproducible:

Run Fedora 7 Test 4 and try to get an IP and/or ping out

Steps to Reproduce:
1. Boot Fedora 7 Test 4
2. pump -i eth0
3. ping google.com
  
Actual results:
pump -i eth0
Seg Fault
ping google.com
Missing library libidn.so.11

Expected results:
Get an IP and be able to ping google

Additional info:

Comment 1 David Cantrell 2007-05-14 19:07:09 UTC
The libidn library problem was fixed after the test 4 release.

I have added a new command to the rescue image called 'dhcpclient'.  It handles
both IPv4 and IPv6.  The pump command is symlinked to dhcpclient for now, but it
will be removed at some point in the future.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.